#include "Event/cutSelectionTask.h"
#include "Event/selectionManager.h"
#include "Event/messageManager.h"

//#####################################
void cutSelectionTask::defineOption()
//#####################################
{
	optionVI::defineOption("addCut",&m_cutName);
}
//#####################################
void cutSelectionTask::setOption(std::string var, std::string content)
//#####################################
{
	optionVI::setOption(var,content);
	if (var == "addCut") {
		cutVI* cut = selectionManager::instance()->getCut(content);
		if (cut==0) return;
		add(content,cut);
		message(" cut "+ content+ " added to the cutSelectionTask "+ name(),"RELEASE");
	}
}
//#####################################
void cutSelectionTask::writeOut() const
//#####################################
{
	if (!acceptLevel()) return;
	if (cutComposite::size() == 0) return;
	
	messageVI::writeOut();
	std::ostream& out = messageManager::instance()->out();
	out << " -- cuts in cutSelectionTask : "+name()+" -- " << "\n";
	out << nameList();
}
