#ifndef messageBase_h
#define messageBase_h

#include <string>

//! Base class to keep the enumeration of the message LEVEL s
//################################
class messageBase
//################################
{
public:

	//! enumeration of the different level of information/debugging
	enum LEVEL {GENERAL, RELEASE, DEBUG, DEBUG_MEDIUM, DEBUG_HIGH};

	//! returns the enumeration of the LEVEL from a string
	static enum LEVEL getLevel(std::string level);

};
#endif