
#include "Event/runRunAlg.h"

#include "Event/selectionManager.h"
#include "Event/processManager.h"

//###################################
void runRunAlg::execute()
//###################################
{
	if (!defined()) define();

	//! continue while the next event is available
	while (m_cNextEvent->apply()) {
		m_aRunEvent->run();
	}
}
//###################################
void runRunAlg::define()
//###################################
{
	//! this method is only executed one at run time
	setDefine(true);
	m_cNextEvent  = selectionManager::instance()->getCut("conNextEvent");

	m_aRunEvent    = processManager::instance()->getAlgorithm("runEventAlg");
}