#ifndef CUTVI_H
#define CUTVI_H
//----------------------------------
//! pure virtual class to implement a cut
/*! 
All selections of the program should inherit from this class.<br>
The pure virtual method apply() returns true/false if
the cut is or is not fulfill. 
*/
//------------------------------------
// JA Hernando, Santa Cruz, CA, 05/15/00
//------------------------------------
//####################################
class cutVI 
//####################################
{
public:
	
	//! default constructor
	cutVI() {}
	//! defulat constructor
	~cutVI() {}
	
	//! pure virtual function to apply a cut
	virtual bool apply() = 0;
};
#endif